Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055913 - [abrt] gnome-contacts: g_date_time_to_instant(): gnome-contacts killed by SIGSEGV
Summary: [abrt] gnome-contacts: g_date_time_to_instant(): gnome-contacts killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-contacts
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4f348c107e5211ba51e3306e358...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 08:42 UTC by Amit Shah
Modified: 2015-06-29 14:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:37:18 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-21 08:43 UTC, Amit Shah
no flags Details
File: cgroup (deleted)
2014-01-21 08:43 UTC, Amit Shah
no flags Details
File: core_backtrace (deleted)
2014-01-21 08:43 UTC, Amit Shah
no flags Details
File: dso_list (deleted)
2014-01-21 08:43 UTC, Amit Shah
no flags Details
File: environ (deleted)
2014-01-21 08:43 UTC, Amit Shah
no flags Details
File: exploitable (deleted)
2014-01-21 08:43 UTC, Amit Shah
no flags Details
File: limits (deleted)
2014-01-21 08:43 UTC, Amit Shah
no flags Details
File: maps (deleted)
2014-01-21 08:44 UTC, Amit Shah
no flags Details
File: open_fds (deleted)
2014-01-21 08:44 UTC, Amit Shah
no flags Details
File: proc_pid_status (deleted)
2014-01-21 08:44 UTC, Amit Shah
no flags Details
File: var_log_messages (deleted)
2014-01-21 08:44 UTC, Amit Shah
no flags Details

Description Amit Shah 2014-01-21 08:42:44 UTC
Description of problem:
Modify a contact's details which is synced from an owncloud account.  Click on 'done'.  Crash.

Version-Release number of selected component:
gnome-contacts-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        gnome-contacts
crash_function: g_date_time_to_instant
executable:     /usr/bin/gnome-contacts
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_date_time_to_instant at gdatetime.c:503
 #1 g_date_time_to_timezone at gdatetime.c:2034
 #2 g_date_time_to_utc at gdatetime.c:2085
 #3 contacts_contact_editor_get_value_from_birthday at contacts-contact-editor.c:1053
 #4 contacts_contact_editor_properties_changed at contacts-contact-editor.c:4890
 #5 contacts_contact_pane_set_edit_mode at contacts-contact-pane.c:2616
 #6 __lambda128_ at contacts-app.c:1733
 #7 ___lambda128__gtk_button_clicked at contacts-app.c:1753
 #8 _g_closure_invoke_va at gclosure.c:840
 #11 gtk_real_button_released at gtkbutton.c:2106

Comment 1 Amit Shah 2014-01-21 08:43:10 UTC
Created attachment 853021 [details]
File: backtrace

Comment 2 Amit Shah 2014-01-21 08:43:14 UTC
Created attachment 853022 [details]
File: cgroup

Comment 3 Amit Shah 2014-01-21 08:43:26 UTC
Created attachment 853023 [details]
File: core_backtrace

Comment 4 Amit Shah 2014-01-21 08:43:39 UTC
Created attachment 853024 [details]
File: dso_list

Comment 5 Amit Shah 2014-01-21 08:43:43 UTC
Created attachment 853025 [details]
File: environ

Comment 6 Amit Shah 2014-01-21 08:43:54 UTC
Created attachment 853026 [details]
File: exploitable

Comment 7 Amit Shah 2014-01-21 08:43:57 UTC
Created attachment 853027 [details]
File: limits

Comment 8 Amit Shah 2014-01-21 08:44:13 UTC
Created attachment 853028 [details]
File: maps

Comment 9 Amit Shah 2014-01-21 08:44:17 UTC
Created attachment 853029 [details]
File: open_fds

Comment 10 Amit Shah 2014-01-21 08:44:21 UTC
Created attachment 853030 [details]
File: proc_pid_status

Comment 11 Amit Shah 2014-01-21 08:44:24 UTC
Created attachment 853031 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:35:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:37:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.